"Fossies" - the Fresh Open Source Software Archive

Member "flatpak-1.12.2/doc/reference/Makefile.in" (12 Oct 2021, 44820 Bytes) of package /linux/misc/flatpak-1.12.2.tar.xz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.12.1_vs_1.12.2.

    1 # Makefile.in generated by automake 1.16.4 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 # -*- mode: makefile -*-
   18 #
   19 # gtk-doc.make - make rules for gtk-doc
   20 # Copyright (C) 2003 James Henstridge
   21 #               2004-2007 Damon Chaplin
   22 #               2007-2017 Stefan Sauer
   23 #
   24 # This program is free software: you can redistribute it and/or modify
   25 # it under the terms of the GNU General Public License as published by
   26 # the Free Software Foundation, either version 3 of the License, or
   27 # (at your option) any later version.
   28 #
   29 # This program is distributed in the hope that it will be useful,
   30 # but WITHOUT ANY WARRANTY; without even the implied warranty of
   31 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   32 # GNU General Public License for more details.
   33 #
   34 # You should have received a copy of the GNU General Public License
   35 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
   36 
   37 ####################################
   38 # Everything below here is generic #
   39 ####################################
   40 VPATH = @srcdir@
   41 am__is_gnu_make = { \
   42   if test -z '$(MAKELEVEL)'; then \
   43     false; \
   44   elif test -n '$(MAKE_HOST)'; then \
   45     true; \
   46   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   47     true; \
   48   else \
   49     false; \
   50   fi; \
   51 }
   52 am__make_running_with_option = \
   53   case $${target_option-} in \
   54       ?) ;; \
   55       *) echo "am__make_running_with_option: internal error: invalid" \
   56               "target option '$${target_option-}' specified" >&2; \
   57          exit 1;; \
   58   esac; \
   59   has_opt=no; \
   60   sane_makeflags=$$MAKEFLAGS; \
   61   if $(am__is_gnu_make); then \
   62     sane_makeflags=$$MFLAGS; \
   63   else \
   64     case $$MAKEFLAGS in \
   65       *\\[\ \	]*) \
   66         bs=\\; \
   67         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   68           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   69     esac; \
   70   fi; \
   71   skip_next=no; \
   72   strip_trailopt () \
   73   { \
   74     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   75   }; \
   76   for flg in $$sane_makeflags; do \
   77     test $$skip_next = yes && { skip_next=no; continue; }; \
   78     case $$flg in \
   79       *=*|--*) continue;; \
   80         -*I) strip_trailopt 'I'; skip_next=yes;; \
   81       -*I?*) strip_trailopt 'I';; \
   82         -*O) strip_trailopt 'O'; skip_next=yes;; \
   83       -*O?*) strip_trailopt 'O';; \
   84         -*l) strip_trailopt 'l'; skip_next=yes;; \
   85       -*l?*) strip_trailopt 'l';; \
   86       -[dEDm]) skip_next=yes;; \
   87       -[JT]) skip_next=yes;; \
   88     esac; \
   89     case $$flg in \
   90       *$$target_option*) has_opt=yes; break;; \
   91     esac; \
   92   done; \
   93   test $$has_opt = yes
   94 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   95 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   96 pkgdatadir = $(datadir)/@PACKAGE@
   97 pkgincludedir = $(includedir)/@PACKAGE@
   98 pkglibdir = $(libdir)/@PACKAGE@
   99 pkglibexecdir = $(libexecdir)/@PACKAGE@
  100 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  101 install_sh_DATA = $(install_sh) -c -m 644
  102 install_sh_PROGRAM = $(install_sh) -c
  103 install_sh_SCRIPT = $(install_sh) -c
  104 INSTALL_HEADER = $(INSTALL_DATA)
  105 transform = $(program_transform_name)
  106 NORMAL_INSTALL = :
  107 PRE_INSTALL = :
  108 POST_INSTALL = :
  109 NORMAL_UNINSTALL = :
  110 PRE_UNINSTALL = :
  111 POST_UNINSTALL = :
  112 build_triplet = @build@
  113 host_triplet = @host@
  114 subdir = doc/reference
  115 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  116 am__aclocal_m4_deps = $(top_srcdir)/subprojects/libglnx/libglnx.m4 \
  117 	$(top_srcdir)/m4/attributes.m4 $(top_srcdir)/m4/gettext.m4 \
  118 	$(top_srcdir)/m4/glibtests.m4 $(top_srcdir)/m4/gtk-doc.m4 \
  119 	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
  120 	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
  121 	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
  122 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  123 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  124 	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  125 	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
  126 	$(top_srcdir)/configure.ac
  127 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  128 	$(ACLOCAL_M4)
  129 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  130 mkinstalldirs = $(install_sh) -d
  131 CONFIG_HEADER = $(top_builddir)/config.h
  132 CONFIG_CLEAN_FILES = version.xml
  133 CONFIG_CLEAN_VPATH_FILES =
  134 AM_V_P = $(am__v_P_@AM_V@)
  135 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  136 am__v_P_0 = false
  137 am__v_P_1 = :
  138 AM_V_GEN = $(am__v_GEN_@AM_V@)
  139 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  140 am__v_GEN_0 = @echo "  GEN     " $@;
  141 am__v_GEN_1 = 
  142 AM_V_at = $(am__v_at_@AM_V@)
  143 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  144 am__v_at_0 = @
  145 am__v_at_1 = 
  146 SOURCES =
  147 DIST_SOURCES =
  148 am__can_run_installinfo = \
  149   case $$AM_UPDATE_INFO_DIR in \
  150     n|no|NO) false;; \
  151     *) (install-info --version) >/dev/null 2>&1;; \
  152   esac
  153 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  154 am__tty_colors_dummy = \
  155   mgn= red= grn= lgn= blu= brg= std=; \
  156   am__color_tests=no
  157 am__tty_colors = { \
  158   $(am__tty_colors_dummy); \
  159   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  160     am__color_tests=no; \
  161   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  162     am__color_tests=yes; \
  163   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  164     am__color_tests=yes; \
  165   fi; \
  166   if test $$am__color_tests = yes; then \
  167     red=''; \
  168     grn=''; \
  169     lgn=''; \
  170     blu=''; \
  171     mgn=''; \
  172     brg=''; \
  173     std=''; \
  174   fi; \
  175 }
  176 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  177 am__vpath_adj = case $$p in \
  178     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  179     *) f=$$p;; \
  180   esac;
  181 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  182 am__install_max = 40
  183 am__nobase_strip_setup = \
  184   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  185 am__nobase_strip = \
  186   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  187 am__nobase_list = $(am__nobase_strip_setup); \
  188   for p in $$list; do echo "$$p $$p"; done | \
  189   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  190   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  191     if (++n[$$2] == $(am__install_max)) \
  192       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  193     END { for (dir in files) print dir, files[dir] }'
  194 am__base_list = \
  195   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  196   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  197 am__uninstall_files_from_dir = { \
  198   test -z "$$files" \
  199     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  200     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  201          $(am__cd) "$$dir" && rm -f $$files; }; \
  202   }
  203 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  204 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  205 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  206 # A command that, given a newline-separated list of test names on the
  207 # standard input, print the name of the tests that are to be re-run
  208 # upon "make recheck".
  209 am__list_recheck_tests = $(AWK) '{ \
  210   recheck = 1; \
  211   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  212     { \
  213       if (rc < 0) \
  214         { \
  215           if ((getline line2 < ($$0 ".log")) < 0) \
  216 	    recheck = 0; \
  217           break; \
  218         } \
  219       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  220         { \
  221           recheck = 0; \
  222           break; \
  223         } \
  224       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  225         { \
  226           break; \
  227         } \
  228     }; \
  229   if (recheck) \
  230     print $$0; \
  231   close ($$0 ".trs"); \
  232   close ($$0 ".log"); \
  233 }'
  234 # A command that, given a newline-separated list of test names on the
  235 # standard input, create the global log from their .trs and .log files.
  236 am__create_global_log = $(AWK) ' \
  237 function fatal(msg) \
  238 { \
  239   print "fatal: making $@: " msg | "cat >&2"; \
  240   exit 1; \
  241 } \
  242 function rst_section(header) \
  243 { \
  244   print header; \
  245   len = length(header); \
  246   for (i = 1; i <= len; i = i + 1) \
  247     printf "="; \
  248   printf "\n\n"; \
  249 } \
  250 { \
  251   copy_in_global_log = 1; \
  252   global_test_result = "RUN"; \
  253   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  254     { \
  255       if (rc < 0) \
  256          fatal("failed to read from " $$0 ".trs"); \
  257       if (line ~ /$(am__global_test_result_rx)/) \
  258         { \
  259           sub("$(am__global_test_result_rx)", "", line); \
  260           sub("[ 	]*$$", "", line); \
  261           global_test_result = line; \
  262         } \
  263       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  264         copy_in_global_log = 0; \
  265     }; \
  266   if (copy_in_global_log) \
  267     { \
  268       rst_section(global_test_result ": " $$0); \
  269       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  270       { \
  271         if (rc < 0) \
  272           fatal("failed to read from " $$0 ".log"); \
  273         print line; \
  274       }; \
  275       printf "\n"; \
  276     }; \
  277   close ($$0 ".trs"); \
  278   close ($$0 ".log"); \
  279 }'
  280 # Restructured Text title.
  281 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  282 # Solaris 10 'make', and several other traditional 'make' implementations,
  283 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  284 # by disabling -e (using the XSI extension "set +e") if it's set.
  285 am__sh_e_setup = case $$- in *e*) set +e;; esac
  286 # Default flags passed to test drivers.
  287 am__common_driver_flags = \
  288   --color-tests "$$am__color_tests" \
  289   --enable-hard-errors "$$am__enable_hard_errors" \
  290   --expect-failure "$$am__expect_failure"
  291 # To be inserted before the command running the test.  Creates the
  292 # directory for the log if needed.  Stores in $dir the directory
  293 # containing $f, in $tst the test, in $log the log.  Executes the
  294 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  295 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  296 # will run the test scripts (or their associated LOG_COMPILER, if
  297 # thy have one).
  298 am__check_pre = \
  299 $(am__sh_e_setup);					\
  300 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  301 $(am__tty_colors);					\
  302 srcdir=$(srcdir); export srcdir;			\
  303 case "$@" in						\
  304   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  305     *) am__odir=.;; 					\
  306 esac;							\
  307 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  308   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  309 if test -f "./$$f"; then dir=./;			\
  310 elif test -f "$$f"; then dir=;				\
  311 else dir="$(srcdir)/"; fi;				\
  312 tst=$$dir$$f; log='$@'; 				\
  313 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  314   am__enable_hard_errors=no; 				\
  315 else							\
  316   am__enable_hard_errors=yes; 				\
  317 fi; 							\
  318 case " $(XFAIL_TESTS) " in				\
  319   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  320     am__expect_failure=yes;;				\
  321   *)							\
  322     am__expect_failure=no;;				\
  323 esac; 							\
  324 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  325 # A shell command to get the names of the tests scripts with any registered
  326 # extension removed (i.e., equivalently, the names of the test logs, with
  327 # the '.log' extension removed).  The result is saved in the shell variable
  328 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  329 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  330 # since that might cause problem with VPATH rewrites for suffix-less tests.
  331 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  332 am__set_TESTS_bases = \
  333   bases='$(TEST_LOGS)'; \
  334   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  335   bases=`echo $$bases`
  336 AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  337 RECHECK_LOGS = $(TEST_LOGS)
  338 AM_RECURSIVE_TARGETS = check recheck
  339 TEST_SUITE_LOG = test-suite.log
  340 TEST_EXTENSIONS = @EXEEXT@ .test
  341 am__test_logs1 = $(TESTS:=.log)
  342 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  343 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  344 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  345 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  346 	$(TEST_LOG_FLAGS)
  347 am__set_b = \
  348   case '$@' in \
  349     */*) \
  350       case '$*' in \
  351         */*) b='$*';; \
  352           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  353        esac;; \
  354     *) \
  355       b='$*';; \
  356   esac
  357 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/version.xml.in \
  358 	$(top_srcdir)/gtk-doc.make $(top_srcdir)/test-driver
  359 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  360 ACLOCAL = @ACLOCAL@
  361 AMTAR = @AMTAR@
  362 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  363 APPSTREAM_GLIB_CFLAGS = @APPSTREAM_GLIB_CFLAGS@
  364 APPSTREAM_GLIB_LIBS = @APPSTREAM_GLIB_LIBS@
  365 AR = @AR@
  366 ARCHIVE_CFLAGS = @ARCHIVE_CFLAGS@
  367 ARCHIVE_LIBS = @ARCHIVE_LIBS@
  368 AUTOCONF = @AUTOCONF@
  369 AUTOHEADER = @AUTOHEADER@
  370 AUTOMAKE = @AUTOMAKE@
  371 AWK = @AWK@
  372 BASE_CFLAGS = @BASE_CFLAGS@
  373 BASE_LIBS = @BASE_LIBS@
  374 BFLAGS = @BFLAGS@
  375 BISON = @BISON@
  376 BWRAP = @BWRAP@
  377 CAP_LIB = @CAP_LIB@
  378 CC = @CC@
  379 CCDEPMODE = @CCDEPMODE@
  380 CFLAGS = @CFLAGS@
  381 CPP = @CPP@
  382 CPPFLAGS = @CPPFLAGS@
  383 CSCOPE = @CSCOPE@
  384 CTAGS = @CTAGS@
  385 CYGPATH_W = @CYGPATH_W@
  386 DBUS_CONFIG_DIR = @DBUS_CONFIG_DIR@
  387 DBUS_PROXY = @DBUS_PROXY@
  388 DBUS_SERVICE_DIR = @DBUS_SERVICE_DIR@
  389 DCONF_CFLAGS = @DCONF_CFLAGS@
  390 DCONF_LIBS = @DCONF_LIBS@
  391 DEFS = @DEFS@
  392 DEPDIR = @DEPDIR@
  393 DEP_GPGME_CFLAGS = @DEP_GPGME_CFLAGS@
  394 DEP_GPGME_LIBS = @DEP_GPGME_LIBS@
  395 DLLTOOL = @DLLTOOL@
  396 DSYMUTIL = @DSYMUTIL@
  397 DUMPBIN = @DUMPBIN@
  398 ECHO_C = @ECHO_C@
  399 ECHO_N = @ECHO_N@
  400 ECHO_T = @ECHO_T@
  401 EGREP = @EGREP@
  402 ETAGS = @ETAGS@
  403 EXEEXT = @EXEEXT@
  404 FGREP = @FGREP@
  405 FLATPAK_INTERFACE_AGE = @FLATPAK_INTERFACE_AGE@
  406 FLATPAK_MAJOR_VERSION = @FLATPAK_MAJOR_VERSION@
  407 FLATPAK_MICRO_VERSION = @FLATPAK_MICRO_VERSION@
  408 FLATPAK_MINOR_VERSION = @FLATPAK_MINOR_VERSION@
  409 FLATPAK_VERSION = @FLATPAK_VERSION@
  410 FUSE_CFLAGS = @FUSE_CFLAGS@
  411 FUSE_LIBS = @FUSE_LIBS@
  412 GDBUS_CODEGEN = @GDBUS_CODEGEN@
  413 GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
  414 GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
  415 GENHTML = @GENHTML@
  416 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  417 GLIB260_CFLAGS = @GLIB260_CFLAGS@
  418 GLIB260_LIBS = @GLIB260_LIBS@
  419 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
  420 GLIB_MKENUMS = @GLIB_MKENUMS@
  421 GMSGFMT = @GMSGFMT@
  422 GMSGFMT_015 = @GMSGFMT_015@
  423 GPGME_CONFIG = @GPGME_CONFIG@
  424 GPGME_PTHREAD_CFLAGS = @GPGME_PTHREAD_CFLAGS@
  425 GPGME_PTHREAD_LIBS = @GPGME_PTHREAD_LIBS@
  426 GREP = @GREP@
  427 GTKDOC_CHECK = @GTKDOC_CHECK@
  428 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
  429 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
  430 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
  431 GTKDOC_MKPDF = @GTKDOC_MKPDF@
  432 GTKDOC_REBASE = @GTKDOC_REBASE@
  433 HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
  434 HTML_DIR = @HTML_DIR@
  435 INSTALL = @INSTALL@
  436 INSTALL_DATA = @INSTALL_DATA@
  437 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  438 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  439 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  440 INTLLIBS = @INTLLIBS@
  441 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  442 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
  443 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
  444 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
  445 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
  446 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
  447 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
  448 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
  449 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
  450 JSON_CFLAGS = @JSON_CFLAGS@
  451 JSON_LIBS = @JSON_LIBS@
  452 LCOV = @LCOV@
  453 LD = @LD@
  454 LDFLAGS = @LDFLAGS@
  455 LIBICONV = @LIBICONV@
  456 LIBINTL = @LIBINTL@
  457 LIBOBJS = @LIBOBJS@
  458 LIBS = @LIBS@
  459 LIBSECCOMP_CFLAGS = @LIBSECCOMP_CFLAGS@
  460 LIBSECCOMP_LIBS = @LIBSECCOMP_LIBS@
  461 LIBTOOL = @LIBTOOL@
  462 LIPO = @LIPO@
  463 LN_S = @LN_S@
  464 LTLIBICONV = @LTLIBICONV@
  465 LTLIBINTL = @LTLIBINTL@
  466 LTLIBOBJS = @LTLIBOBJS@
  467 LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
  468 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  469 LT_VERSION_INFO = @LT_VERSION_INFO@
  470 MAINT = @MAINT@
  471 MAKEINFO = @MAKEINFO@
  472 MALCONTENT_CFLAGS = @MALCONTENT_CFLAGS@
  473 MALCONTENT_LIBS = @MALCONTENT_LIBS@
  474 MANIFEST_TOOL = @MANIFEST_TOOL@
  475 MKDIR_P = @MKDIR_P@
  476 MSGFMT = @MSGFMT@
  477 MSGFMT_015 = @MSGFMT_015@
  478 MSGMERGE = @MSGMERGE@
  479 NM = @NM@
  480 NMEDIT = @NMEDIT@
  481 OBJDUMP = @OBJDUMP@
  482 OBJEXT = @OBJEXT@
  483 OSTREE_CFLAGS = @OSTREE_CFLAGS@
  484 OSTREE_LIBS = @OSTREE_LIBS@
  485 OTOOL = @OTOOL@
  486 OTOOL64 = @OTOOL64@
  487 PACKAGE = @PACKAGE@
  488 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  489 PACKAGE_NAME = @PACKAGE_NAME@
  490 PACKAGE_STRING = @PACKAGE_STRING@
  491 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  492 PACKAGE_URL = @PACKAGE_URL@
  493 PACKAGE_VERSION = @PACKAGE_VERSION@
  494 PATH_SEPARATOR = @PATH_SEPARATOR@
  495 PKG_CONFIG = @PKG_CONFIG@
  496 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  497 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  498 POLKIT_CFLAGS = @POLKIT_CFLAGS@
  499 POLKIT_LIBS = @POLKIT_LIBS@
  500 POSUB = @POSUB@
  501 PRIVILEGED_GROUP = @PRIVILEGED_GROUP@
  502 PROFILE_DIR = @PROFILE_DIR@
  503 RANLIB = @RANLIB@
  504 RUN_MEDIA_DIR = @RUN_MEDIA_DIR@
  505 SED = @SED@
  506 SET_MAKE = @SET_MAKE@
  507 SHELL = @SHELL@
  508 SOUP_CFLAGS = @SOUP_CFLAGS@
  509 SOUP_LIBS = @SOUP_LIBS@
  510 STRIP = @STRIP@
  511 SUDO_BIN = @SUDO_BIN@
  512 SYSTEMD_CFLAGS = @SYSTEMD_CFLAGS@
  513 SYSTEMD_LIBS = @SYSTEMD_LIBS@
  514 SYSTEM_FONTS_DIR = @SYSTEM_FONTS_DIR@
  515 SYSTEM_FONT_CACHE_DIRS = @SYSTEM_FONT_CACHE_DIRS@
  516 SYSTEM_HELPER_USER = @SYSTEM_HELPER_USER@
  517 SYSTEM_INSTALL_DIR = @SYSTEM_INSTALL_DIR@
  518 USE_NLS = @USE_NLS@
  519 VALGRIND = @VALGRIND@
  520 VALGRIND_ENABLED = @VALGRIND_ENABLED@
  521 VALGRIND_HAVE_TOOL_memcheck = @VALGRIND_HAVE_TOOL_memcheck@
  522 VERSION = @VERSION@
  523 WARN_CFLAGS = @WARN_CFLAGS@
  524 XAUTH_CFLAGS = @XAUTH_CFLAGS@
  525 XAUTH_LIBS = @XAUTH_LIBS@
  526 XGETTEXT = @XGETTEXT@
  527 XGETTEXT_015 = @XGETTEXT_015@
  528 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  529 XMLCATALOG = @XMLCATALOG@
  530 XMLTO = @XMLTO@
  531 XMLTO_FLAGS = @XMLTO_FLAGS@
  532 XML_CATALOG_FILE = @XML_CATALOG_FILE@
  533 XML_CFLAGS = @XML_CFLAGS@
  534 XML_LIBS = @XML_LIBS@
  535 XSLTPROC = @XSLTPROC@
  536 ZSTD_CFLAGS = @ZSTD_CFLAGS@
  537 ZSTD_LIBS = @ZSTD_LIBS@
  538 _GI_EXP_DATADIR = @_GI_EXP_DATADIR@
  539 _GI_EXP_LIBDIR = @_GI_EXP_LIBDIR@
  540 abs_builddir = @abs_builddir@
  541 abs_srcdir = @abs_srcdir@
  542 abs_top_builddir = @abs_top_builddir@
  543 abs_top_srcdir = @abs_top_srcdir@
  544 ac_ct_AR = @ac_ct_AR@
  545 ac_ct_CC = @ac_ct_CC@
  546 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  547 am__include = @am__include@
  548 am__leading_dot = @am__leading_dot@
  549 am__quote = @am__quote@
  550 am__tar = @am__tar@
  551 am__untar = @am__untar@
  552 bindir = @bindir@
  553 build = @build@
  554 build_alias = @build_alias@
  555 build_cpu = @build_cpu@
  556 build_os = @build_os@
  557 build_vendor = @build_vendor@
  558 builddir = @builddir@
  559 datadir = @datadir@
  560 datarootdir = @datarootdir@
  561 docdir = @docdir@
  562 dvidir = @dvidir@
  563 exec_prefix = @exec_prefix@
  564 host = @host@
  565 host_alias = @host_alias@
  566 host_cpu = @host_cpu@
  567 host_os = @host_os@
  568 host_vendor = @host_vendor@
  569 htmldir = @htmldir@
  570 includedir = @includedir@
  571 infodir = @infodir@
  572 install_sh = @install_sh@
  573 installed_test_metadir = @installed_test_metadir@
  574 installed_testdir = @installed_testdir@
  575 libdir = @libdir@
  576 libexecdir = @libexecdir@
  577 localedir = @localedir@
  578 localstatedir = @localstatedir@
  579 mandir = @mandir@
  580 mkdir_p = @mkdir_p@
  581 oldincludedir = @oldincludedir@
  582 pdfdir = @pdfdir@
  583 prefix = @prefix@
  584 program_transform_name = @program_transform_name@
  585 psdir = @psdir@
  586 runstatedir = @runstatedir@
  587 sbindir = @sbindir@
  588 sharedstatedir = @sharedstatedir@
  589 srcdir = @srcdir@
  590 sysconfdir = @sysconfdir@
  591 systemdsystemenvgendir = @systemdsystemenvgendir@
  592 systemdsystemunitdir = @systemdsystemunitdir@
  593 systemduserenvgendir = @systemduserenvgendir@
  594 systemduserunitdir = @systemduserunitdir@
  595 sysusersdir = @sysusersdir@
  596 target_alias = @target_alias@
  597 top_build_prefix = @top_build_prefix@
  598 top_builddir = @top_builddir@
  599 top_srcdir = @top_srcdir@
  600 DOC_MODULE = flatpak
  601 DOC_MAIN_SGML_FILE = libflatpak-docs.xml
  602 DOC_SOURCE_DIR = $(top_srcdir)/common $(top_builddir)/common
  603 SCAN_OPTIONS = --rebuild-types \
  604     --ignore-decorators='FLATPAK_EXTERN'
  605 
  606 SCANGOBJ_OPTIONS = 
  607 MKDB_OPTIONS = --output-format=xml --name-space=flatpak
  608 FIXXREF_OPTIONS = 
  609 HFILE_GLOB = $(top_srcdir)/common/*.h $(top_builddir)/common/*.h
  610 CFILE_GLOB = $(top_srcdir)/common/*.c
  611 IGNORE_HFILES = \
  612 	valgrind-private.h \
  613 	flatpak-bwrap-private.h \
  614 	flatpak-chain-input-stream-private.h \
  615 	flatpak-common-types-private.h \
  616 	flatpak-context-private.h \
  617 	flatpak-dbus-generated.h \
  618 	flatpak-dir-private.h \
  619 	flatpak-document-dbus-generated.h \
  620 	flatpak-enum-types.h \
  621 	flatpak-exports-private.h \
  622 	flatpak-installed-ref-private.h \
  623 	flatpak-json-oci-private.h \
  624 	flatpak-json-private.h \
  625 	flatpak-oci-registry-private.h \
  626 	flatpak-progress-private.h \
  627 	flatpak-remote-private.h \
  628 	flatpak-remote-ref-private.h \
  629 	flatpak-run-private.h \
  630 	flatpak-systemd-dbus-generated.h \
  631 	flatpak-installation-private.h \
  632 	flatpak-transaction-private.h \
  633 	flatpak-utils-private.h \
  634 	flatpak-utils-base-private.h \
  635 	flatpak-utils-http-private.h \
  636 	flatpak-instance-private.h \
  637 	flatpak-auth-private.h \
  638 	flatpak-parental-controls-private.h \
  639 	flatpak-appdata-private.h \
  640 	flatpak-zstd-decompressor-private.h \
  641 	$(NULL)
  642 
  643 EXTRA_HFILES = 
  644 HTML_IMAGES = 
  645 dbus_stamp_files = \
  646 	dbus-org.freedesktop.Flatpak.Authenticator.stamp \
  647 	dbus-org.freedesktop.Flatpak.stamp \
  648 	dbus-org.freedesktop.impl.portal.PermissionStore.stamp \
  649 	dbus-org.freedesktop.portal.Documents.stamp \
  650 	dbus-org.freedesktop.portal.Flatpak.stamp \
  651 	$(NULL)
  652 
  653 
  654 # Generated from the above stamps
  655 xml_files = \
  656 	dbus-org.freedesktop.Flatpak.AuthenticatorRequest.xml \
  657 	dbus-org.freedesktop.Flatpak.Authenticator.xml \
  658 	dbus-org.freedesktop.Flatpak.Development.xml \
  659 	dbus-org.freedesktop.Flatpak.SessionHelper.xml \
  660 	dbus-org.freedesktop.Flatpak.SystemHelper.xml \
  661 	dbus-org.freedesktop.impl.portal.PermissionStore.xml \
  662 	dbus-org.freedesktop.portal.Documents.xml \
  663 	dbus-org.freedesktop.portal.Flatpak.UpdateMonitor.xml \
  664 	dbus-org.freedesktop.portal.Flatpak.xml \
  665 	$(NULL)
  666 
  667 content_files = 
  668 expand_content_files = 
  669 AM_CPPFLAGS = -I$(top_srcdir)/common -I$(top_builddir)/common $(BASE_CFLAGS)
  670 GTKDOC_LIBS = $(top_builddir)/libflatpak.la $(BASE_LIBS)
  671 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_CC = $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  672 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_CC = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  673 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_LD = $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
  674 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_LD = $(LIBTOOL) --tag=CC --mode=link $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
  675 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_RUN = 
  676 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_RUN = $(LIBTOOL) --mode=execute
  677 
  678 # We set GPATH here; this gives us semantics for GNU make
  679 # which are more like other make's VPATH, when it comes to
  680 # whether a source that is a target of one rule is then
  681 # searched for in VPATH/GPATH.
  682 #
  683 GPATH = $(srcdir)
  684 TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)
  685 SETUP_FILES = \
  686 	$(content_files)		\
  687 	$(expand_content_files)		\
  688 	$(DOC_MAIN_SGML_FILE)		\
  689 	$(DOC_MODULE)-sections.txt	\
  690 	$(DOC_MODULE)-overrides.txt
  691 
  692 EXTRA_DIST = $(HTML_IMAGES) $(SETUP_FILES) version.xml.in
  693 DOC_STAMPS = setup-build.stamp scan-build.stamp sgml-build.stamp \
  694 	html-build.stamp pdf-build.stamp \
  695 	sgml.stamp html.stamp pdf.stamp
  696 
  697 SCANOBJ_FILES = \
  698 	$(DOC_MODULE).actions	 \
  699 	$(DOC_MODULE).args 	 \
  700 	$(DOC_MODULE).hierarchy  \
  701 	$(DOC_MODULE).interfaces \
  702 	$(DOC_MODULE).prerequisites \
  703 	$(DOC_MODULE).signals
  704 
  705 REPORT_FILES = \
  706 	$(DOC_MODULE)-undocumented.txt \
  707 	$(DOC_MODULE)-undeclared.txt \
  708 	$(DOC_MODULE)-unused.txt
  709 
  710 CLEANFILES = $(SCANOBJ_FILES) $(REPORT_FILES) $(DOC_STAMPS) \
  711 	gtkdoc-check.test $(xml_files)
  712 @GTK_DOC_BUILD_HTML_FALSE@HTML_BUILD_STAMP = 
  713 @GTK_DOC_BUILD_HTML_TRUE@HTML_BUILD_STAMP = html-build.stamp
  714 @GTK_DOC_BUILD_PDF_FALSE@PDF_BUILD_STAMP = 
  715 @GTK_DOC_BUILD_PDF_TRUE@PDF_BUILD_STAMP = pdf-build.stamp
  716 
  717 #### setup ####
  718 GTK_DOC_V_SETUP = $(GTK_DOC_V_SETUP_@AM_V@)
  719 GTK_DOC_V_SETUP_ = $(GTK_DOC_V_SETUP_@AM_DEFAULT_V@)
  720 GTK_DOC_V_SETUP_0 = @echo "  DOC   Preparing build";
  721 
  722 #### scan ####
  723 GTK_DOC_V_SCAN = $(GTK_DOC_V_SCAN_@AM_V@)
  724 GTK_DOC_V_SCAN_ = $(GTK_DOC_V_SCAN_@AM_DEFAULT_V@)
  725 GTK_DOC_V_SCAN_0 = @echo "  DOC   Scanning header files";
  726 GTK_DOC_V_INTROSPECT = $(GTK_DOC_V_INTROSPECT_@AM_V@)
  727 GTK_DOC_V_INTROSPECT_ = $(GTK_DOC_V_INTROSPECT_@AM_DEFAULT_V@)
  728 GTK_DOC_V_INTROSPECT_0 = @echo "  DOC   Introspecting gobjects";
  729 
  730 #### xml ####
  731 GTK_DOC_V_XML = $(GTK_DOC_V_XML_@AM_V@)
  732 GTK_DOC_V_XML_ = $(GTK_DOC_V_XML_@AM_DEFAULT_V@)
  733 GTK_DOC_V_XML_0 = @echo "  DOC   Building XML";
  734 
  735 #### html ####
  736 GTK_DOC_V_HTML = $(GTK_DOC_V_HTML_@AM_V@)
  737 GTK_DOC_V_HTML_ = $(GTK_DOC_V_HTML_@AM_DEFAULT_V@)
  738 GTK_DOC_V_HTML_0 = @echo "  DOC   Building HTML";
  739 GTK_DOC_V_XREF = $(GTK_DOC_V_XREF_@AM_V@)
  740 GTK_DOC_V_XREF_ = $(GTK_DOC_V_XREF_@AM_DEFAULT_V@)
  741 GTK_DOC_V_XREF_0 = @echo "  DOC   Fixing cross-references";
  742 
  743 #### pdf ####
  744 GTK_DOC_V_PDF = $(GTK_DOC_V_PDF_@AM_V@)
  745 GTK_DOC_V_PDF_ = $(GTK_DOC_V_PDF_@AM_DEFAULT_V@)
  746 GTK_DOC_V_PDF_0 = @echo "  DOC   Building PDF";
  747 @ENABLE_GTK_DOC_CHECK_TRUE@TESTS_ENVIRONMENT = \
  748 @ENABLE_GTK_DOC_CHECK_TRUE@	DOC_MODULE=$(DOC_MODULE) DOC_MAIN_SGML_FILE=$(DOC_MAIN_SGML_FILE) \
  749 @ENABLE_GTK_DOC_CHECK_TRUE@	SRCDIR=$(abs_srcdir) BUILDDIR=$(abs_builddir)
  750 
  751 @ENABLE_GTK_DOC_CHECK_TRUE@TESTS = $(GTKDOC_CHECK)
  752 all: all-am
  753 
  754 .SUFFIXES:
  755 .SUFFIXES: .log .test .test$(EXEEXT) .trs
  756 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/gtk-doc.make $(am__configure_deps)
  757 	@for dep in $?; do \
  758 	  case '$(am__configure_deps)' in \
  759 	    *$$dep*) \
  760 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  761 	        && { if test -f $@; then exit 0; else break; fi; }; \
  762 	      exit 1;; \
  763 	  esac; \
  764 	done; \
  765 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/reference/Makefile'; \
  766 	$(am__cd) $(top_srcdir) && \
  767 	  $(AUTOMAKE) --foreign doc/reference/Makefile
  768 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  769 	@case '$?' in \
  770 	  *config.status*) \
  771 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  772 	  *) \
  773 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  774 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  775 	esac;
  776 $(top_srcdir)/gtk-doc.make $(am__empty):
  777 
  778 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  779 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  780 
  781 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  782 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  783 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  784 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  785 $(am__aclocal_m4_deps):
  786 version.xml: $(top_builddir)/config.status $(srcdir)/version.xml.in
  787 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  788 
  789 mostlyclean-libtool:
  790 	-rm -f *.lo
  791 
  792 clean-libtool:
  793 	-rm -rf .libs _libs
  794 tags TAGS:
  795 
  796 ctags CTAGS:
  797 
  798 cscope cscopelist:
  799 
  800 
  801 # Recover from deleted '.trs' file; this should ensure that
  802 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  803 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  804 # to avoid problems with "make -n".
  805 .log.trs:
  806 	rm -f $< $@
  807 	$(MAKE) $(AM_MAKEFLAGS) $<
  808 
  809 # Leading 'am--fnord' is there to ensure the list of targets does not
  810 # expand to empty, as could happen e.g. with make check TESTS=''.
  811 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  812 am--force-recheck:
  813 	@:
  814 
  815 $(TEST_SUITE_LOG): $(TEST_LOGS)
  816 	@$(am__set_TESTS_bases); \
  817 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  818 	redo_bases=`for i in $$bases; do \
  819 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  820 	            done`; \
  821 	if test -n "$$redo_bases"; then \
  822 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  823 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  824 	  if $(am__make_dryrun); then :; else \
  825 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  826 	  fi; \
  827 	fi; \
  828 	if test -n "$$am__remaking_logs"; then \
  829 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  830 	       "recursion detected" >&2; \
  831 	elif test -n "$$redo_logs"; then \
  832 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  833 	fi; \
  834 	if $(am__make_dryrun); then :; else \
  835 	  st=0;  \
  836 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  837 	  for i in $$redo_bases; do \
  838 	    test -f $$i.trs && test -r $$i.trs \
  839 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  840 	    test -f $$i.log && test -r $$i.log \
  841 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  842 	  done; \
  843 	  test $$st -eq 0 || exit 1; \
  844 	fi
  845 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  846 	ws='[ 	]'; \
  847 	results=`for b in $$bases; do echo $$b.trs; done`; \
  848 	test -n "$$results" || results=/dev/null; \
  849 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  850 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  851 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  852 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  853 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  854 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  855 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  856 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  857 	  success=true; \
  858 	else \
  859 	  success=false; \
  860 	fi; \
  861 	br='==================='; br=$$br$$br$$br$$br; \
  862 	result_count () \
  863 	{ \
  864 	    if test x"$$1" = x"--maybe-color"; then \
  865 	      maybe_colorize=yes; \
  866 	    elif test x"$$1" = x"--no-color"; then \
  867 	      maybe_colorize=no; \
  868 	    else \
  869 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  870 	    fi; \
  871 	    shift; \
  872 	    desc=$$1 count=$$2; \
  873 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  874 	      color_start=$$3 color_end=$$std; \
  875 	    else \
  876 	      color_start= color_end=; \
  877 	    fi; \
  878 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  879 	}; \
  880 	create_testsuite_report () \
  881 	{ \
  882 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  883 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  884 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  885 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  886 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  887 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  888 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  889 	}; \
  890 	{								\
  891 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  892 	    $(am__rst_title);						\
  893 	  create_testsuite_report --no-color;				\
  894 	  echo;								\
  895 	  echo ".. contents:: :depth: 2";				\
  896 	  echo;								\
  897 	  for b in $$bases; do echo $$b; done				\
  898 	    | $(am__create_global_log);					\
  899 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  900 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  901 	if $$success; then						\
  902 	  col="$$grn";							\
  903 	 else								\
  904 	  col="$$red";							\
  905 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  906 	fi;								\
  907 	echo "$${col}$$br$${std}"; 					\
  908 	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
  909 	echo "$${col}$$br$${std}"; 					\
  910 	create_testsuite_report --maybe-color;				\
  911 	echo "$$col$$br$$std";						\
  912 	if $$success; then :; else					\
  913 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  914 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  915 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  916 	  fi;								\
  917 	  echo "$$col$$br$$std";					\
  918 	fi;								\
  919 	$$success || exit 1
  920 
  921 check-TESTS: 
  922 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  923 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  924 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  925 	@set +e; $(am__set_TESTS_bases); \
  926 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  927 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  928 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  929 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  930 	exit $$?;
  931 recheck: all 
  932 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  933 	@set +e; $(am__set_TESTS_bases); \
  934 	bases=`for i in $$bases; do echo $$i; done \
  935 	         | $(am__list_recheck_tests)` || exit 1; \
  936 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  937 	log_list=`echo $$log_list`; \
  938 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  939 	        am__force_recheck=am--force-recheck \
  940 	        TEST_LOGS="$$log_list"; \
  941 	exit $$?
  942 .test.log:
  943 	@p='$<'; \
  944 	$(am__set_b); \
  945 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  946 	--log-file $$b.log --trs-file $$b.trs \
  947 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  948 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  949 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  950 @am__EXEEXT_TRUE@	@p='$<'; \
  951 @am__EXEEXT_TRUE@	$(am__set_b); \
  952 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  953 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  954 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  955 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  956 distdir: $(BUILT_SOURCES)
  957 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  958 
  959 distdir-am: $(DISTFILES)
  960 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  961 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  962 	list='$(DISTFILES)'; \
  963 	  dist_files=`for file in $$list; do echo $$file; done | \
  964 	  sed -e "s|^$$srcdirstrip/||;t" \
  965 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  966 	case $$dist_files in \
  967 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  968 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  969 			   sort -u` ;; \
  970 	esac; \
  971 	for file in $$dist_files; do \
  972 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  973 	  if test -d $$d/$$file; then \
  974 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  975 	    if test -d "$(distdir)/$$file"; then \
  976 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  977 	    fi; \
  978 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  979 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  980 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  981 	    fi; \
  982 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  983 	  else \
  984 	    test -f "$(distdir)/$$file" \
  985 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  986 	    || exit 1; \
  987 	  fi; \
  988 	done
  989 	$(MAKE) $(AM_MAKEFLAGS) \
  990 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  991 	  dist-hook
  992 check-am: all-am
  993 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  994 check: check-am
  995 @ENABLE_GTK_DOC_FALSE@all-local:
  996 all-am: Makefile all-local
  997 installdirs:
  998 install: install-am
  999 install-exec: install-exec-am
 1000 install-data: install-data-am
 1001 uninstall: uninstall-am
 1002 
 1003 install-am: all-am
 1004 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1005 
 1006 installcheck: installcheck-am
 1007 install-strip:
 1008 	if test -z '$(STRIP)'; then \
 1009 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1010 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1011 	      install; \
 1012 	else \
 1013 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1014 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1015 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1016 	fi
 1017 mostlyclean-generic:
 1018 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1019 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1020 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1021 
 1022 clean-generic:
 1023 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 1024 
 1025 distclean-generic:
 1026 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1027 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1028 
 1029 maintainer-clean-generic:
 1030 	@echo "This command is intended for maintainers to use"
 1031 	@echo "it deletes files that may require special tools to rebuild."
 1032 clean: clean-am
 1033 
 1034 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
 1035 
 1036 distclean: distclean-am
 1037 	-rm -f Makefile
 1038 distclean-am: clean-am distclean-generic distclean-local
 1039 
 1040 dvi: dvi-am
 1041 
 1042 dvi-am:
 1043 
 1044 html: html-am
 1045 
 1046 html-am:
 1047 
 1048 info: info-am
 1049 
 1050 info-am:
 1051 
 1052 install-data-am: install-data-local
 1053 
 1054 install-dvi: install-dvi-am
 1055 
 1056 install-dvi-am:
 1057 
 1058 install-exec-am:
 1059 
 1060 install-html: install-html-am
 1061 
 1062 install-html-am:
 1063 
 1064 install-info: install-info-am
 1065 
 1066 install-info-am:
 1067 
 1068 install-man:
 1069 
 1070 install-pdf: install-pdf-am
 1071 
 1072 install-pdf-am:
 1073 
 1074 install-ps: install-ps-am
 1075 
 1076 install-ps-am:
 1077 
 1078 installcheck-am:
 1079 
 1080 maintainer-clean: maintainer-clean-am
 1081 	-rm -f Makefile
 1082 maintainer-clean-am: distclean-am maintainer-clean-generic \
 1083 	maintainer-clean-local
 1084 
 1085 mostlyclean: mostlyclean-am
 1086 
 1087 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
 1088 
 1089 pdf: pdf-am
 1090 
 1091 pdf-am:
 1092 
 1093 ps: ps-am
 1094 
 1095 ps-am:
 1096 
 1097 uninstall-am: uninstall-local
 1098 
 1099 .MAKE: check-am install-am install-strip
 1100 
 1101 .PHONY: all all-am all-local check check-TESTS check-am clean \
 1102 	clean-generic clean-libtool clean-local cscopelist-am ctags-am \
 1103 	dist-hook distclean distclean-generic distclean-libtool \
 1104 	distclean-local distdir dvi dvi-am html html-am info info-am \
 1105 	install install-am install-data install-data-am \
 1106 	install-data-local install-dvi install-dvi-am install-exec \
 1107 	install-exec-am install-html install-html-am install-info \
 1108 	install-info-am install-man install-pdf install-pdf-am \
 1109 	install-ps install-ps-am install-strip installcheck \
 1110 	installcheck-am installdirs maintainer-clean \
 1111 	maintainer-clean-generic maintainer-clean-local mostlyclean \
 1112 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 1113 	recheck tags-am uninstall uninstall-am uninstall-local
 1114 
 1115 .PRECIOUS: Makefile
 1116 
 1117 
 1118 gtkdoc-check.test: Makefile
 1119 	$(AM_V_GEN)echo "#!/bin/sh -e" > $@; \
 1120 		echo "$(GTKDOC_CHECK_PATH) || exit 1" >> $@; \
 1121 		chmod +x $@
 1122 
 1123 all-gtk-doc: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
 1124 .PHONY: all-gtk-doc
 1125 
 1126 @ENABLE_GTK_DOC_TRUE@all-local: all-gtk-doc
 1127 
 1128 docs: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
 1129 
 1130 $(REPORT_FILES): sgml-build.stamp
 1131 
 1132 setup-build.stamp:
 1133 	-$(GTK_DOC_V_SETUP)if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
 1134 	  files=`echo $(SETUP_FILES) $(DOC_MODULE).types`; \
 1135 	  if test "x$$files" != "x" ; then \
 1136 	    for file in $$files ; do \
 1137 	      destdir=`dirname $(abs_builddir)/$$file`; \
 1138 	      test -d "$$destdir" || mkdir -p "$$destdir"; \
 1139 	      test -f $(abs_srcdir)/$$file && \
 1140 	        cp -pf $(abs_srcdir)/$$file $(abs_builddir)/$$file || true; \
 1141 	    done; \
 1142 	  fi; \
 1143 	fi
 1144 	$(AM_V_at)touch setup-build.stamp
 1145 
 1146 scan-build.stamp: setup-build.stamp $(HFILE_GLOB) $(CFILE_GLOB)
 1147 	$(GTK_DOC_V_SCAN)_source_dir='' ; \
 1148 	for i in $(DOC_SOURCE_DIR) ; do \
 1149 	  _source_dir="$${_source_dir} --source-dir=$$i" ; \
 1150 	done ; \
 1151 	gtkdoc-scan --module=$(DOC_MODULE) --ignore-headers="$(IGNORE_HFILES)" $${_source_dir} $(SCAN_OPTIONS) $(EXTRA_HFILES)
 1152 	$(GTK_DOC_V_INTROSPECT)if grep -l '^..*$$' $(DOC_MODULE).types > /dev/null 2>&1 ; then \
 1153 	  scanobj_options=""; \
 1154 	  gtkdoc-scangobj 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
 1155 	  if test "$$?" = "0"; then \
 1156 	    if test "x$(V)" = "x1"; then \
 1157 	      scanobj_options="--verbose"; \
 1158 	    fi; \
 1159 	  fi; \
 1160 	  CC="$(GTKDOC_CC)" LD="$(GTKDOC_LD)" RUN="$(GTKDOC_RUN)" CFLAGS="$(GTKDOC_CFLAGS) $(CFLAGS)" LDFLAGS="$(GTKDOC_LIBS) $(LDFLAGS)" \
 1161 	  gtkdoc-scangobj $(SCANGOBJ_OPTIONS) $$scanobj_options --module=$(DOC_MODULE); \
 1162 	else \
 1163 	  for i in $(SCANOBJ_FILES) ; do \
 1164 	    test -f $$i || touch $$i ; \
 1165 	  done \
 1166 	fi
 1167 	$(AM_V_at)touch scan-build.stamp
 1168 
 1169 $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt: scan-build.stamp
 1170 	@true
 1171 
 1172 sgml-build.stamp: setup-build.stamp $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(HFILE_GLOB) $(CFILE_GLOB) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt $(expand_content_files) xml/gtkdocentities.ent
 1173 	$(GTK_DOC_V_XML)_source_dir='' ; \
 1174 	for i in $(DOC_SOURCE_DIR) ; do \
 1175 	  _source_dir="$${_source_dir} --source-dir=$$i" ; \
 1176 	done ; \
 1177 	gtkdoc-mkdb --module=$(DOC_MODULE) --output-format=xml --expand-content-files="$(expand_content_files)" --main-sgml-file=$(DOC_MAIN_SGML_FILE) $${_source_dir} $(MKDB_OPTIONS)
 1178 	$(AM_V_at)touch sgml-build.stamp
 1179 
 1180 sgml.stamp: sgml-build.stamp
 1181 	@true
 1182 
 1183 $(DOC_MAIN_SGML_FILE): sgml-build.stamp
 1184 	@true
 1185 
 1186 xml/gtkdocentities.ent: Makefile
 1187 	$(GTK_DOC_V_XML)$(MKDIR_P) $(@D) && ( \
 1188 		echo "<!ENTITY package \"$(PACKAGE)\">"; \
 1189 		echo "<!ENTITY package_bugreport \"$(PACKAGE_BUGREPORT)\">"; \
 1190 		echo "<!ENTITY package_name \"$(PACKAGE_NAME)\">"; \
 1191 		echo "<!ENTITY package_string \"$(PACKAGE_STRING)\">"; \
 1192 		echo "<!ENTITY package_tarname \"$(PACKAGE_TARNAME)\">"; \
 1193 		echo "<!ENTITY package_url \"$(PACKAGE_URL)\">"; \
 1194 		echo "<!ENTITY package_version \"$(PACKAGE_VERSION)\">"; \
 1195 	) > $@
 1196 
 1197 html-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
 1198 	$(GTK_DOC_V_HTML)rm -rf html && mkdir html && \
 1199 	mkhtml_options=""; \
 1200 	gtkdoc-mkhtml 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
 1201 	if test "$$?" = "0"; then \
 1202 	  if test "x$(V)" = "x1"; then \
 1203 	    mkhtml_options="$$mkhtml_options --verbose"; \
 1204 	  fi; \
 1205 	fi; \
 1206 	gtkdoc-mkhtml 2>&1 --help | grep  >/dev/null "\-\-path"; \
 1207 	if test "$$?" = "0"; then \
 1208 	  mkhtml_options="$$mkhtml_options --path=\"$(abs_srcdir)\""; \
 1209 	fi; \
 1210 	cd html && gtkdoc-mkhtml $$mkhtml_options $(MKHTML_OPTIONS) $(DOC_MODULE) ../$(DOC_MAIN_SGML_FILE)
 1211 	-@test "x$(HTML_IMAGES)" = "x" || \
 1212 	for file in $(HTML_IMAGES) ; do \
 1213 	  test -f $(abs_srcdir)/$$file && cp $(abs_srcdir)/$$file $(abs_builddir)/html; \
 1214 	  test -f $(abs_builddir)/$$file && cp $(abs_builddir)/$$file $(abs_builddir)/html; \
 1215 	  test -f $$file && cp $$file $(abs_builddir)/html; \
 1216 	done;
 1217 	$(GTK_DOC_V_XREF)gtkdoc-fixxref --module=$(DOC_MODULE) --module-dir=html --html-dir=$(HTML_DIR) $(FIXXREF_OPTIONS)
 1218 	$(AM_V_at)touch html-build.stamp
 1219 
 1220 pdf-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
 1221 	$(GTK_DOC_V_PDF)rm -f $(DOC_MODULE).pdf && \
 1222 	mkpdf_options=""; \
 1223 	gtkdoc-mkpdf 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
 1224 	if test "$$?" = "0"; then \
 1225 	  if test "x$(V)" = "x1"; then \
 1226 	    mkpdf_options="$$mkpdf_options --verbose"; \
 1227 	  fi; \
 1228 	fi; \
 1229 	if test "x$(HTML_IMAGES)" != "x"; then \
 1230 	  for img in $(HTML_IMAGES); do \
 1231 	    part=`dirname $$img`; \
 1232 	    echo $$mkpdf_options | grep >/dev/null "\-\-imgdir=$$part "; \
 1233 	    if test $$? != 0; then \
 1234 	      mkpdf_options="$$mkpdf_options --imgdir=$$part"; \
 1235 	    fi; \
 1236 	  done; \
 1237 	fi; \
 1238 	gtkdoc-mkpdf --path="$(abs_srcdir)" $$mkpdf_options $(DOC_MODULE) $(DOC_MAIN_SGML_FILE) $(MKPDF_OPTIONS)
 1239 	$(AM_V_at)touch pdf-build.stamp
 1240 
 1241 ##############
 1242 
 1243 clean-local:
 1244 	@rm -f *~ *.bak
 1245 	@rm -rf .libs
 1246 	@if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-types" ; then \
 1247 	  rm -f $(DOC_MODULE).types; \
 1248 	fi
 1249 	@if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-sections" ; then \
 1250 	  rm -f $(DOC_MODULE)-sections.txt; \
 1251 	fi
 1252 
 1253 distclean-local:
 1254 	@rm -rf xml html $(REPORT_FILES) $(DOC_MODULE).pdf \
 1255 	    $(DOC_MODULE)-decl-list.txt $(DOC_MODULE)-decl.txt
 1256 	@if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
 1257 	    rm -f $(SETUP_FILES) $(DOC_MODULE).types; \
 1258 	fi
 1259 
 1260 maintainer-clean-local:
 1261 	@rm -rf xml html
 1262 
 1263 install-data-local:
 1264 	@installfiles=`echo $(builddir)/html/*`; \
 1265 	if test "$$installfiles" = '$(builddir)/html/*'; \
 1266 	then echo 1>&2 'Nothing to install' ; \
 1267 	else \
 1268 	  if test -n "$(DOC_MODULE_VERSION)"; then \
 1269 	    installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
 1270 	  else \
 1271 	    installdir="$(DESTDIR)$(TARGET_DIR)"; \
 1272 	  fi; \
 1273 	  $(mkinstalldirs) $${installdir} ; \
 1274 	  for i in $$installfiles; do \
 1275 	    echo ' $(INSTALL_DATA) '$$i ; \
 1276 	    $(INSTALL_DATA) $$i $${installdir}; \
 1277 	  done; \
 1278 	  if test -n "$(DOC_MODULE_VERSION)"; then \
 1279 	    mv -f $${installdir}/$(DOC_MODULE).devhelp2 \
 1280 	      $${installdir}/$(DOC_MODULE)-$(DOC_MODULE_VERSION).devhelp2; \
 1281 	  fi; \
 1282 	  $(GTKDOC_REBASE) --relative --dest-dir=$(DESTDIR) --html-dir=$${installdir}; \
 1283 	fi
 1284 
 1285 uninstall-local:
 1286 	@if test -n "$(DOC_MODULE_VERSION)"; then \
 1287 	  installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
 1288 	else \
 1289 	  installdir="$(DESTDIR)$(TARGET_DIR)"; \
 1290 	fi; \
 1291 	rm -rf $${installdir}
 1292 
 1293 #
 1294 # Require gtk-doc when making dist
 1295 #
 1296 @HAVE_GTK_DOC_TRUE@dist-check-gtkdoc: docs
 1297 @HAVE_GTK_DOC_FALSE@dist-check-gtkdoc:
 1298 @HAVE_GTK_DOC_FALSE@	@echo "*** gtk-doc is needed to run 'make dist'.         ***"
 1299 @HAVE_GTK_DOC_FALSE@	@echo "*** gtk-doc was not found when 'configure' ran.   ***"
 1300 @HAVE_GTK_DOC_FALSE@	@echo "*** please install gtk-doc and rerun 'configure'. ***"
 1301 @HAVE_GTK_DOC_FALSE@	@false
 1302 
 1303 dist-hook: dist-check-gtkdoc all-gtk-doc dist-hook-local
 1304 	@mkdir $(distdir)/html
 1305 	@cp ./html/* $(distdir)/html
 1306 	@-cp ./$(DOC_MODULE).pdf $(distdir)/
 1307 	@-cp ./$(DOC_MODULE).types $(distdir)/
 1308 	@-cp ./$(DOC_MODULE)-sections.txt $(distdir)/
 1309 	@cd $(distdir) && rm -f $(DISTCLEANFILES)
 1310 	@$(GTKDOC_REBASE) --online --relative --html-dir=$(distdir)/html
 1311 
 1312 .PHONY : dist-hook-local docs
 1313 
 1314 sgml.stamp: $(dbus_stamp_files)
 1315 # gdbus-codegen hardcodes DocBook version
 1316 	$(AM_V_GEN)$(SED) -i \
 1317 		-e 's|http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd|http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd|' \
 1318 		-e 's|-//OASIS//DTD DocBook XML V4.1.2//EN|-//OASIS//DTD DocBook XML V4.5//EN|' $(xml_files)
 1319 
 1320 dbus-%.stamp: $(top_srcdir)/data/%.xml
 1321 	$(AM_V_GEN)$(GDBUS_CODEGEN) --generate-docbook=dbus $<
 1322 
 1323 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1324 # Otherwise a system limit (for SysV at least) may be exceeded.
 1325 .NOEXPORT: